// JScript File

function OnChecked()
{
        
        if(document.getElementById("checkbox-Status").checked)
        {
            document.getElementById("textbox-Domain").disabled="";
	        document.getElementById("textbox-Domain").style.background = 'WHITE';
	        		        
	        document.getElementById("textbox-UserName").disabled="";
	        document.getElementById("textbox-UserName").style.background = 'WHITE';
	        	
	        document.getElementById("textbox-Password").disabled="";
            document.getElementById("textbox-Password").style.background = 'WHITE';
            document.getElementById("textbox-Password").focus();
         }
         else
         {
            document.getElementById("textbox-Domain").disabled="disabled";
	        document.getElementById("textbox-Domain").style.background = 'LIGHTGREY';
	
	        document.getElementById("textbox-UserName").disabled="disabled";
	        document.getElementById("textbox-UserName").style.background = 'LIGHTGREY';
	
	        document.getElementById("textbox-Password").disabled="disabled";
            document.getElementById("textbox-Password").style.background = 'LIGHTGREY';
         }
            
}